From ce49461eeedfa007d6e2664a41d3fb9e367b6122 Mon Sep 17 00:00:00 2001
From: Smeulf <smeulf@team-mediaportal.com>
Date: Sat, 3 Sep 2011 01:20:06 +0200
Subject: [PATCH] Allow video effects translation

---
 .../UI/SkinEngine/Geometry/GeometryManager.cs      |    2 +-
 .../Source/UI/SkinEngine/Language/strings_en.xml   |    9 +++++++++
 2 files changed, 10 insertions(+), 1 deletions(-)

diff --git a/MediaPortal/Source/UI/SkinEngine/Geometry/GeometryManager.cs b/MediaPortal/Source/UI/SkinEngine/Geometry/GeometryManager.cs
index cf1d942..e4ae3d3 100644
--- a/MediaPortal/Source/UI/SkinEngine/Geometry/GeometryManager.cs
+++ b/MediaPortal/Source/UI/SkinEngine/Geometry/GeometryManager.cs
@@ -109,7 +109,7 @@ namespace MediaPortal.UI.SkinEngine.Geometry
         {
           String name = Path.GetFileNameWithoutExtension(kv.Key);
           name.Replace('_', ' ');
-          name = info.ToTitleCase(name);
+          name = "[Effects." + info.ToTitleCase(name) + "]";
           string key = kv.Key;
           key = key.Remove(0, SkinResources.SHADERS_DIRECTORY.Length+1);
           key = key.Remove(key.Length - 3, 3);
diff --git a/MediaPortal/Source/UI/SkinEngine/Language/strings_en.xml b/MediaPortal/Source/UI/SkinEngine/Language/strings_en.xml
index 0a49328..dc40cbe 100644
--- a/MediaPortal/Source/UI/SkinEngine/Language/strings_en.xml
+++ b/MediaPortal/Source/UI/SkinEngine/Language/strings_en.xml
@@ -42,6 +42,15 @@
     <String Name="Zoom" Text="Zoom"/>
     <String Name="Zoom149" Text="Zoom 14:9"/>
   </Section>
+  <Section Name="Effects">
+    <String Name="Denoise" Text="Denoise"/>
+    <String Name="Greyscale" Text="Greyscale"/>
+    <String Name="Invert" Text="Invert"/>
+    <String Name="None" Text="None"/>
+    <String Name="Sepia" Text="Sepia"/>
+    <String Name="Sharpen" Text="Sharpen"/>
+    <String Name="Sharpen_complex" Text="Sharpen Complex"/>
+  </Section>
   <Section Name="PlayerControl">
     <String Name="NoPlayer" Text="No player"/>
     <String Name="NoMediaItem" Text="- No media item -"/>
-- 
1.7.4.msysgit.0

